SoAnnotation(3)

NAME
SoAnnotation - The SoAnnotation node draws all its child geometry on top of other geometry.

SYNOPSIS

#include <Inventor/nodes/SoAnnotation.h>

Inherits SoSeparator.

  Public Member Functions
virtual SoType getTypeId (void) const
SoAnnotation (void)
virtual void GLRender (SoGLRenderAction *action)
virtual void GLRenderBelowPath (SoGLRenderAction *action)
virtual void GLRenderInPath (SoGLRenderAction *action)
virtual void GLRenderOffPath (SoGLRenderAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoAnnotation ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoAnnotation node draws all its child geometry on top of other geometry. This group-type node uses delayed rendering in combination with z-buffer disabling to let its children transparently render their geometry on top of the other geometry in the scene.

Since the z-buffer needs to be disabled, the children's geometry will not be rendered back-to-front sorted, but rather in the order they are present in the scene graph.

FILE FORMAT/DEFAULTS:

Annotation {
    renderCaching AUTO
    boundingBoxCaching AUTO
    renderCulling AUTO
    pickCulling AUTO
}

Constructor & Destructor Documentation

  SoAnnotation::SoAnnotation (void)
Constructor.

  SoAnnotation::~SoAnnotation () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoAnnotation::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoAnnotation::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoSeparator.

  const SoFieldData ** SoAnnotation::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoAnnotation::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoSeparator.

  void SoAnnotation::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoSeparator.

  void SoAnnotation::GLRenderBelowPath (SoGLRenderAction * action) [virtual]
SGI Open Inventor v2.1 obsoleted support for SoGLRenderAction::addMethod(). Instead, GLRender() might be called directly, and to optimize traversal, the SoSeparator node calls GLRenderBelowPath whenever the path code is BELOW_PATH or NO_PATH (path code is guaranteed not to change). To be compatible with SGI's Inventor (and thereby also TGS') we have chosen to follow their implementation in this respect.

SoSeparator::GLRenderBelowPath() does not traverse its children using SoChildList::traverse(), but calls GLRenderBelowPath() directly for all its children.

Reimplemented from SoSeparator.

  void SoAnnotation::GLRenderInPath (SoGLRenderAction * action) [virtual]
Implements the SoAction::IN_PATH traversal method for the rendering action.

Reimplemented from SoSeparator.

  void SoAnnotation::GLRenderOffPath (SoGLRenderAction * action) [virtual]
Implements the SoAction::OFF_PATH traversal method for the rendering action.

Reimplemented from SoSeparator.

Author

Generated automatically by Doxygen for Coin from the source code.